# packages in environment at /home/mgao/anaconda3/envs/py3.8-harp2:
#
# Name                    Version                   Build  Channel
_libgcc_mutex             0.1                        main  
_openmp_mutex             5.1                       1_gnu  
anyio                     4.3.0              pyhd8ed1ab_0    conda-forge
argon2-cffi               23.1.0             pyhd8ed1ab_0    conda-forge
argon2-cffi-bindings      21.2.0                   pypi_0    pypi
arrow                     1.3.0              pyhd8ed1ab_0    conda-forge
asteval                   0.9.31             pyhd8ed1ab_0    conda-forge
asttokens                 2.4.1              pyhd8ed1ab_0    conda-forge
async-lru                 2.0.4              pyhd8ed1ab_0    conda-forge
attrs                     23.2.0             pyh71513ae_0    conda-forge
babel                     2.14.0             pyhd8ed1ab_0    conda-forge
basemap-data              1.3.2              pyhd8ed1ab_3    conda-forge
basemap-data-hires        1.3.2              pyhd8ed1ab_3    conda-forge
beautifulsoup4            4.12.3             pyha770c72_0    conda-forge
blas                      1.0                         mkl  
bleach                    6.1.0              pyhd8ed1ab_0    conda-forge
bottleneck                1.3.5                    pypi_0    pypi
brotli                    1.0.9                h5eee18b_7    anaconda
brotli-bin                1.0.9                h5eee18b_7    anaconda
bzip2                     1.0.8                h7b6447c_0  
c-ares                    1.19.1               h5eee18b_0    anaconda
ca-certificates           2024.3.11            h06a4308_0  
cached-property           1.5.2                hd8ed1ab_1    conda-forge
cached_property           1.5.2              pyha770c72_1    conda-forge
cartopy                   0.22.0                   pypi_0    pypi
certifi                   2024.2.2           pyhd8ed1ab_0    conda-forge
cffi                      1.16.0                   pypi_0    pypi
cftime                    1.6.2                    pypi_0    pypi
charset-normalizer        3.3.2              pyhd8ed1ab_0    conda-forge
click                     8.1.7                    pypi_0    pypi
cloudpickle               3.0.0              pyhd8ed1ab_0    conda-forge
colorama                  0.4.6              pyhd8ed1ab_0    conda-forge
comm                      0.2.1              pyhd8ed1ab_0    conda-forge
contourpy                 1.0.5                    pypi_0    pypi
cycler                    0.11.0             pyhd3eb1b0_0    anaconda
cytoolz                   0.12.2                   pypi_0    pypi
dask-core                 2024.2.1           pyhd8ed1ab_0    conda-forge
dask-jobqueue             0.8.5              pyhd8ed1ab_0    conda-forge
dbus                      1.13.18              hb2f20db_0  
debugpy                   1.6.7                    pypi_0    pypi
decorator                 5.1.1              pyhd8ed1ab_0    conda-forge
defusedxml                0.7.1              pyhd8ed1ab_0    conda-forge
distributed               2024.2.1           pyhd8ed1ab_0    conda-forge
entrypoints               0.4                pyhd8ed1ab_0    conda-forge
exceptiongroup            1.2.0              pyhd8ed1ab_2    conda-forge
executing                 2.0.1              pyhd8ed1ab_0    conda-forge
expat                     2.5.0                h6a678d5_0  
filelock                  3.13.1                   pypi_0    pypi
fontconfig                2.14.1               h52c9d5c_1  
fonttools                 4.25.0             pyhd3eb1b0_0    anaconda
fqdn                      1.5.1              pyhd8ed1ab_0    conda-forge
freetype                  2.12.1               h4a9f257_0    anaconda
fsspec                    2024.2.0           pyhca7485f_0    conda-forge
future                    1.0.0              pyhd8ed1ab_0    conda-forge
geos                      3.8.0                he6710b0_0  
giflib                    5.2.1                h5eee18b_3    anaconda
glib                      2.78.4               h6a678d5_0  
glib-tools                2.78.4               h6a678d5_0  
global-land-mask          1.0.0                    pypi_0    pypi
gst-plugins-base          1.14.1               h6a678d5_1  
gstreamer                 1.14.1               h5eee18b_1  
h11                       0.14.0             pyhd8ed1ab_0    conda-forge
h2                        4.1.0              pyhd8ed1ab_0    conda-forge
h5py                      3.9.0                    pypi_0    pypi
hdf4                      4.2.13               h3ca952b_2  
hdf5                      1.12.1               h2b7332f_3    anaconda
hpack                     4.0.0              pyh9f0ad1d_0    conda-forge
httpcore                  1.0.4              pyhd8ed1ab_0    conda-forge
httpx                     0.27.0             pyhd8ed1ab_0    conda-forge
hyperframe                6.0.1              pyhd8ed1ab_0    conda-forge
icu                       58.2              hf484d3e_1000    conda-forge
idna                      3.6                pyhd8ed1ab_0    conda-forge
importlib-metadata        7.0.1              pyha770c72_0    conda-forge
importlib_metadata        7.0.1                hd8ed1ab_0    conda-forge
importlib_resources       6.1.2              pyhd8ed1ab_0    conda-forge
intel-openmp              2023.1.0         hdb19cb5_46306  
ipykernel                 6.28.0                   pypi_0    pypi
ipython                   8.20.0                   pypi_0    pypi
isoduration               20.11.0            pyhd8ed1ab_0    conda-forge
jedi                      0.19.1             pyhd8ed1ab_0    conda-forge
jinja2                    3.1.3                    pypi_0    pypi
joblib                    1.2.0                    pypi_0    pypi
jpeg                      9e                   h5eee18b_1    anaconda
json5                     0.9.17             pyhd8ed1ab_0    conda-forge
jsonpointer               2.0                        py_0    conda-forge
jsonschema                4.21.1             pyhd8ed1ab_0    conda-forge
jsonschema-specifications 2023.12.1          pyhd8ed1ab_0    conda-forge
jsonschema-with-format-nongpl 4.21.1             pyhd8ed1ab_0    conda-forge
jupyter-core              5.5.0                    pypi_0    pypi
jupyter-lsp               2.2.3              pyhd8ed1ab_0    conda-forge
jupyter_client            8.6.0              pyhd8ed1ab_0    conda-forge
jupyter_core              5.5.0           py312h06a4308_0  
jupyter_events            0.9.0              pyhd8ed1ab_0    conda-forge
jupyter_server            2.12.5             pyhd8ed1ab_0    conda-forge
jupyter_server_terminals  0.5.2              pyhd8ed1ab_0    conda-forge
jupyterlab                4.1.2              pyhd8ed1ab_0    conda-forge
jupyterlab_pygments       0.3.0              pyhd8ed1ab_1    conda-forge
jupyterlab_server         2.25.3             pyhd8ed1ab_0    conda-forge
kiwisolver                1.4.4                    pypi_0    pypi
krb5                      1.20.1               h143b758_1    anaconda
lcms2                     2.12                 h3be6417_0    anaconda
ld_impl_linux-64          2.38                 h1181459_1  
lerc                      3.0                  h295c915_0    anaconda
libbrotlicommon           1.0.9                h5eee18b_7    anaconda
libbrotlidec              1.0.9                h5eee18b_7    anaconda
libbrotlienc              1.0.9                h5eee18b_7    anaconda
libclang                  10.0.1          default_hb85057a_2  
libcurl                   7.88.1               h251f7ec_2    anaconda
libdeflate                1.17                 h5eee18b_1    anaconda
libedit                   3.1.20221030         h5eee18b_0    anaconda
libev                     4.33                 h7f8727e_1    anaconda
libevent                  2.1.12               hdbd6064_1  
libffi                    3.4.4                h6a678d5_0  
libgcc-ng                 11.2.0               h1234567_1  
libgfortran-ng            11.2.0               h00389a5_1    anaconda
libgfortran5              11.2.0               h1234567_1    anaconda
libglib                   2.78.4               hdc74915_0  
libgomp                   11.2.0               h1234567_1  
libiconv                  1.17                 h166bdaf_0    conda-forge
libllvm10                 10.0.1               he513fc3_3    conda-forge
libnetcdf                 4.8.1                h14805e7_4  
libnghttp2                1.57.0               h2d74bed_0    anaconda
libpng                    1.6.39               h5eee18b_0    anaconda
libpq                     12.17                hdbd6064_0  
libsodium                 1.0.18               h36c2ea0_1    conda-forge
libssh2                   1.10.0               hdbd6064_2    anaconda
libstdcxx-ng              11.2.0               h1234567_1  
libtiff                   4.5.1                h6a678d5_0    anaconda
libuuid                   1.41.5               h5eee18b_0  
libwebp                   1.3.2                h11a3e52_0    anaconda
libwebp-base              1.3.2                h5eee18b_0    anaconda
libxcb                    1.15                 h7f8727e_0  
libxkbcommon              1.0.1                hfa300c1_0  
libxml2                   2.9.14               h74e7548_0  
libzip                    1.8.0                h6ac8c49_1  
llvm-openmp               14.0.6               h9e868ea_0  
llvmlite                  0.42.0                   pypi_0    pypi
lmfit                     1.2.2              pyhd8ed1ab_1    conda-forge
locket                    1.0.0              pyhd8ed1ab_0    conda-forge
lz4-c                     1.9.4                h6a678d5_0    anaconda
markupsafe                2.1.3                    pypi_0    pypi
matplotlib                3.8.0                    pypi_0    pypi
matplotlib-base           3.8.0           py312h526ad5a_0    anaconda
matplotlib-inline         0.1.6              pyhd8ed1ab_0    conda-forge
memory_profiler           0.61.0             pyhd8ed1ab_0    conda-forge
mistune                   3.0.2              pyhd8ed1ab_0    conda-forge
mkl                       2023.1.0         h213fc3f_46344  
mkl-fft                   1.3.8                    pypi_0    pypi
mkl-random                1.2.4                    pypi_0    pypi
mkl-service               2.4.0                    pypi_0    pypi
mkl_fft                   1.3.8           py312h5eee18b_0    anaconda
mkl_random                1.2.4           py312hdb19cb5_0    anaconda
mpmath                    1.3.0                    pypi_0    pypi
msgpack                   1.0.3                    pypi_0    pypi
msgpack-python            1.0.3           py312hdb19cb5_0  
munkres                   1.1.4                      py_0    anaconda
nbclient                  0.8.0              pyhd8ed1ab_0    conda-forge
nbconvert-core            7.16.1             pyhd8ed1ab_0    conda-forge
nbformat                  5.9.2              pyhd8ed1ab_0    conda-forge
ncurses                   6.4                  h6a678d5_0  
nest-asyncio              1.6.0              pyhd8ed1ab_0    conda-forge
netcdf4                   1.6.2                    pypi_0    pypi
networkx                  3.1                      pypi_0    pypi
notebook-shim             0.2.4              pyhd8ed1ab_0    conda-forge
nspr                      4.35                 h6a678d5_0  
nss                       3.89.1               h6a678d5_0  
numba                     0.59.0                   pypi_0    pypi
numexpr                   2.8.7                    pypi_0    pypi
numpy                     1.26.4                   pypi_0    pypi
numpy-base                1.26.4          py312h0da6c21_0  
openjpeg                  2.4.0                h3ad879b_0    anaconda
openssl                   3.0.13               h7f8727e_0  
opt_einsum                3.3.0              pyhc1e730c_2    conda-forge
overrides                 7.7.0              pyhd8ed1ab_0    conda-forge
packaging                 23.1                     pypi_0    pypi
pandas                    2.1.1                    pypi_0    pypi
pandocfilters             1.5.0              pyhd8ed1ab_0    conda-forge
parso                     0.8.3              pyhd8ed1ab_0    conda-forge
partd                     1.4.1              pyhd8ed1ab_0    conda-forge
patsy                     0.5.3                    pypi_0    pypi
pcre2                     10.42                hebb0a14_0  
pexpect                   4.9.0              pyhd8ed1ab_0    conda-forge
pillow                    10.0.1                   pypi_0    pypi
pip                       23.3.1                   pypi_0    pypi
pkgutil-resolve-name      1.3.10             pyhd8ed1ab_1    conda-forge
platformdirs              4.2.0              pyhd8ed1ab_0    conda-forge
ply                       3.11                       py_1    conda-forge
proj                      9.3.1                he5811b7_0  
prometheus_client         0.20.0             pyhd8ed1ab_0    conda-forge
prompt-toolkit            3.0.42             pyha770c72_0    conda-forge
prompt_toolkit            3.0.42               hd8ed1ab_0    conda-forge
psutil                    5.9.0                    pypi_0    pypi
ptyprocess                0.7.0              pyhd3deb0d_0    conda-forge
pure_eval                 0.2.2              pyhd8ed1ab_0    conda-forge
py-cpuinfo                9.0.0              pyhd8ed1ab_0    conda-forge
pycparser                 2.21               pyhd8ed1ab_0    conda-forge
pygments                  2.17.2             pyhd8ed1ab_0    conda-forge
pymiescatt                1.7.5.4                    py_1    conda-forge
pympler                   1.0.1              pyhd8ed1ab_0    conda-forge
pyparsing                 3.0.9                    pypi_0    pypi
pyproj                    3.6.1                    pypi_0    pypi
pyqt                      5.15.10         py312h6a678d5_0  
pyqt5                     5.15.10                  pypi_0    pypi
pyqt5-sip                 12.13.0                  pypi_0    pypi
pyshp                     2.3.1              pyhd8ed1ab_0    conda-forge
python                    3.12.1               h996f2a0_0  
python-dateutil           2.8.2              pyhd3eb1b0_0    anaconda
python-fastjsonschema     2.19.1             pyhd8ed1ab_0    conda-forge
python-json-logger        2.0.7              pyhd8ed1ab_0    conda-forge
python-tzdata             2023.3             pyhd3eb1b0_0    anaconda
pytorch                   2.2.1              py3.12_cpu_0    pytorch
pytorch-mutex             1.0                         cpu    pytorch
pytz                      2023.3.post1             pypi_0    pypi
pyyaml                    6.0.1                    pypi_0    pypi
pyzmq                     25.1.2                   pypi_0    pypi
qt-main                   5.15.2               h327a75a_7  
readline                  8.2                  h5eee18b_0  
referencing               0.33.0             pyhd8ed1ab_0    conda-forge
requests                  2.31.0             pyhd8ed1ab_0    conda-forge
rfc3339-validator         0.1.4              pyhd8ed1ab_0    conda-forge
rfc3986-validator         0.1.1              pyh9f0ad1d_0    conda-forge
rpds-py                   0.10.6                   pypi_0    pypi
scikit-learn              1.3.0                    pypi_0    pypi
scipy                     1.11.3                   pypi_0    pypi
seaborn                   0.12.2                   pypi_0    pypi
send2trash                1.8.2                    pypi_0    pypi
setuptools                68.2.2                   pypi_0    pypi
setuptools-scm            8.0.4              pyhd8ed1ab_0    conda-forge
shapely                   2.0.1                    pypi_0    pypi
sip                       6.7.12                   pypi_0    pypi
six                       1.16.0             pyhd3eb1b0_1    anaconda
sniffio                   1.3.1              pyhd8ed1ab_0    conda-forge
sortedcontainers          2.4.0              pyhd8ed1ab_0    conda-forge
soupsieve                 2.5                pyhd8ed1ab_1    conda-forge
sqlite                    3.41.2               h5eee18b_0  
stack_data                0.6.2              pyhd8ed1ab_0    conda-forge
statsmodels               0.14.0                   pypi_0    pypi
sympy                     1.12                     pypi_0    pypi
tbb                       2021.8.0             hdb19cb5_0  
tblib                     3.0.0              pyhd8ed1ab_0    conda-forge
terminado                 0.17.1                   pypi_0    pypi
threadpoolctl             2.2.0              pyh0d69192_0    anaconda
tinycss2                  1.2.1              pyhd8ed1ab_0    conda-forge
tk                        8.6.12               h1ccaba5_0  
tomli                     2.0.1              pyhd8ed1ab_0    conda-forge
toolz                     0.12.1             pyhd8ed1ab_0    conda-forge
torch                     2.2.1                    pypi_0    pypi
tornado                   6.3.3                    pypi_0    pypi
tqdm                      4.66.2             pyhd8ed1ab_0    conda-forge
traitlets                 5.14.1             pyhd8ed1ab_0    conda-forge
types-python-dateutil     2.8.19.20240106    pyhd8ed1ab_0    conda-forge
typing-extensions         4.9.0                    pypi_0    pypi
typing_extensions         4.9.0           py312h06a4308_1  
typing_utils              0.1.0              pyhd8ed1ab_0    conda-forge
tzdata                    2024a                h04d1e81_0  
uncertainties             3.1.7              pyhd8ed1ab_0    conda-forge
uri-template              1.3.0              pyhd8ed1ab_0    conda-forge
urllib3                   2.1.0                    pypi_0    pypi
wcwidth                   0.2.13             pyhd8ed1ab_0    conda-forge
webcolors                 1.13               pyhd8ed1ab_0    conda-forge
webencodings              0.5.1              pyhd8ed1ab_2    conda-forge
websocket-client          1.7.0              pyhd8ed1ab_0    conda-forge
wheel                     0.41.2                   pypi_0    pypi
xarray                    2023.6.0                 pypi_0    pypi
xz                        5.4.6                h5eee18b_0  
yaml                      0.2.5                h7b6447c_0  
zeromq                    4.3.5                h6a678d5_0  
zict                      3.0.0              pyhd8ed1ab_0    conda-forge
zipp                      3.17.0             pyhd8ed1ab_0    conda-forge
zlib                      1.2.13               h5eee18b_0  
zstd                      1.5.5                hc292b87_0    anaconda
